diff -ruN ircd-hybrid-7.0/doc/Makefile.in ircd-hybrid-7.0-new/doc/Makefile.in
--- ircd-hybrid-7.0/doc/Makefile.in	Tue Jul  9 20:05:48 2002
+++ ircd-hybrid-7.0-new/doc/Makefile.in	Wed Feb 11 17:13:13 2004
@@ -14,19 +14,19 @@
 RM		= @RM@
 CP		= @CP@
 
-prefix		= @prefix@
+prefix		= @DSTROOT@@prefix@
 exec_prefix	= @exec_prefix@
 exec_suffix	= @exec_suffix@
 bindir		= @bindir@
 libexecdir	= @libexecdir@
-sysconfdir	= @sysconfdir@
+sysconfdir	= @DSTROOT@@prefix@/etc/ircd
 localstatedir	= @localstatedir@
 # Change this later! -- adrian
-moduledir	= @prefix@/modules
+moduledir	= @DSTROOT@@prefix@/modules
 automoduledir	= @prefix@/modules/autoload
 
 # Local to the etc Makefile
-mandir          = @prefix@/man8
+mandir          = @DSTROOT@@prefix@/share/man/man8
 MANPAGES        = ircd.8
 
 CONFS		= example.conf example.efnet.conf
diff -ruN ircd-hybrid-7.0/help/Makefile.in ircd-hybrid-7.0-new/help/Makefile.in
--- ircd-hybrid-7.0/help/Makefile.in	Sat Feb  2 11:01:13 2002
+++ ircd-hybrid-7.0-new/help/Makefile.in	Wed Feb 11 17:13:36 2004
@@ -6,10 +6,10 @@
 INSTALL_DATA=	@INSTALL_DATA@
 RM=		@RM@
 
-prefix=		@prefix@
+prefix=		@DSTROOT@@prefix@
 exec_prefix=	@execprefix@
-uhelpdir=	${prefix}/help/users
-ohelpdir=	${prefix}/help/opers
+uhelpdir=	${prefix}/share/doc/ircd-hybrid/users
+ohelpdir=	${prefix}/share/doc/ircd-hybrid/opers
 
 SYMLINKS=	topic accept cjoin cmode admin names links away whowas \
 		version kick who invite quit join list nick oper part \
diff -ruN ircd-hybrid-7.0/include/Makefile.in ircd-hybrid-7.0-new/include/Makefile.in
--- ircd-hybrid-7.0/include/Makefile.in	Mon Apr 29 18:30:24 2002
+++ ircd-hybrid-7.0-new/include/Makefile.in	Wed Feb 11 17:06:32 2004
@@ -6,7 +6,7 @@
 INSTALL_BIN=	@INSTALL_PROGRAM@
 RM=		@RM@
 
-prefix=		@prefix@
+prefix=		@DSTROOT@@prefix@
 exec_prefix=	@exec_prefix@
 bindir=		@bindir@
 sysconfdir=	@sysconfdir@
diff -ruN ircd-hybrid-7.0/include/config.h ircd-hybrid-7.0-new/include/config.h
--- ircd-hybrid-7.0/include/config.h	Thu Feb  6 03:46:11 2003
+++ ircd-hybrid-7.0-new/include/config.h	Wed Feb 11 17:17:58 2004
@@ -134,13 +134,13 @@
 /* dirs */
 #define DPATH   IRCD_PREFIX                                                     
 #define BINPATH IRCD_PREFIX "/bin/"
-#define MODPATH IRCD_PREFIX "/modules/"
-#define AUTOMODPATH IRCD_PREFIX "/modules/autoload/"
-#define MSGPATH IRCD_PREFIX "/messages/"
-#define ETCPATH IRCD_PREFIX "/etc"
-#define LOGPATH IRCD_PREFIX "/logs"
-#define UHPATH   IRCD_PREFIX "/help/users"
-#define HPATH  IRCD_PREFIX "/help/opers"
+#define MODPATH IRCD_PREFIX "/lib/ircd-modules/"
+#define AUTOMODPATH IRCD_PREFIX "/lib/ircd-modules/autoload/"
+#define MSGPATH IRCD_PREFIX "/share/locale"
+#define ETCPATH IRCD_PREFIX "/etc/ircd"
+#define LOGPATH IRCD_PREFIX "/var/log"
+#define UHPATH   IRCD_PREFIX "/share/doc/ircd-hybrid/users"
+#define HPATH  IRCD_PREFIX "/share/doc/ircd-hybrid/opers"
 
 /* files */
 #define SPATH   BINPATH "/ircd"                 /* ircd executable */
diff -ruN ircd-hybrid-7.0/messages/Makefile.in ircd-hybrid-7.0-new/messages/Makefile.in
--- ircd-hybrid-7.0/messages/Makefile.in	Wed Jul  4 16:42:43 2001
+++ ircd-hybrid-7.0-new/messages/Makefile.in	Wed Feb 11 17:15:11 2004
@@ -9,14 +9,14 @@
 
 OBJS = ${SRCS:.po=.mo}
 
-prefix          = @prefix@
+prefix          = @DSTROOT@@prefix@
 exec_prefix     = @exec_prefix@
 exec_suffix     = @exec_suffix@
 bindir          = @bindir@
 libexecdir      = @libexecdir@
 sysconfdir      = @sysconfdir@
 localstatedir   = @localstatedir@
-messagedir       = @prefix@/messages
+messagedir      = @DSTROOT@@prefix@/share/locale
 
 
 all: ${OBJS}
diff -ruN ircd-hybrid-7.0/modules/Makefile.in ircd-hybrid-7.0-new/modules/Makefile.in
--- ircd-hybrid-7.0/modules/Makefile.in	Sun Jun 16 12:31:25 2002
+++ ircd-hybrid-7.0-new/modules/Makefile.in	Wed Feb 11 17:08:35 2004
@@ -27,10 +27,10 @@
 
 IRCDLIBS        = @LIBS@ $(SSL_LIBS)
 
-prefix          = @prefix@
+prefix          = @DSTROOT@@prefix@
 # Change this later! -- adrian
-moduledir       = @prefix@/modules
-automoduledir   = @prefix@/modules/autoload
+moduledir       = @DSTROOT@@prefix@/lib/ircd-modules
+automoduledir   = @DSTROOT@@prefix@/lib/ircd-modules/autoload
 
 INCLUDES	= -I../include -I../adns $(SSL_INCLUDES)
 CPPFLAGS	= ${INCLUDES} @CPPFLAGS@
diff -ruN ircd-hybrid-7.0/servlink/Makefile.in ircd-hybrid-7.0-new/servlink/Makefile.in
--- ircd-hybrid-7.0/servlink/Makefile.in	Mon Jun  3 08:15:08 2002
+++ ircd-hybrid-7.0-new/servlink/Makefile.in	Wed Feb 11 17:06:32 2004
@@ -17,7 +17,7 @@
 MKDEP           = @MKDEP@ -DIRCD_PREFIX=\"@prefix@\"
 MV              = @MV@
 RM              = @RM@
-prefix          = @prefix@
+prefix          = @DSTROOT@@prefix@
 exec_prefix     = @exec_prefix@
 bindir          = @bindir@
 libexecdir      = @libexecdir@
diff -ruN ircd-hybrid-7.0/src/Makefile.in ircd-hybrid-7.0-new/src/Makefile.in
--- ircd-hybrid-7.0/src/Makefile.in	Wed May 28 23:02:15 2003
+++ ircd-hybrid-7.0-new/src/Makefile.in	Wed Feb 11 17:16:36 2004
@@ -17,7 +17,7 @@
 MV		= @MV@
 RM		= @RM@
 YACC		= @YACC@
-prefix		= @prefix@
+prefix		= @DSTROOT@@prefix@
 exec_prefix	= @exec_prefix@
 bindir		= @bindir@
 libexecdir	= @libexecdir@
@@ -140,10 +140,10 @@
 		echo "mkdir $(sysconfdir)"; \
 		mkdir $(sysconfdir); \
 	fi
-	-@if test ! -d $(localstatedir)/logs; then \
-		echo "mkdir $(localstatedir)/logs"; \
-		mkdir $(localstatedir)/logs; \
-	fi
+#	-@if test ! -d $(localstatedir)/logs; then \
+#		echo "mkdir $(localstatedir)/logs"; \
+#		mkdir $(localstatedir)/logs; \
+#	fi
 
 install: install-mkdirs build
 	@for i in $(PROGS); do \
diff -ruN ircd-hybrid-7.0/src/ircd.c ircd-hybrid-7.0-new/src/ircd.c
--- ircd-hybrid-7.0/src/ircd.c	Thu May 29 01:13:26 2003
+++ ircd-hybrid-7.0-new/src/ircd.c	Wed Feb 11 17:12:20 2004
@@ -662,8 +662,8 @@
   read_conf_files(YES);         /* cold start init conf files */
 #ifndef STATIC_MODULES
 
-  mod_add_path(IRCD_PREFIX "/modules");
-  mod_add_path(IRCD_PREFIX "/modules/autoload");
+  mod_add_path(IRCD_PREFIX "/lib/ircd-modules");
+  mod_add_path(IRCD_PREFIX "/lib/ircd-modules/autoload");
 #endif
    
   initialize_server_capabs();   /* Set up default_server_capabs */
diff -ruN ircd-hybrid-7.0/tools/Makefile.in ircd-hybrid-7.0-new/tools/Makefile.in
--- ircd-hybrid-7.0/tools/Makefile.in	Thu Jul 11 19:40:27 2002
+++ ircd-hybrid-7.0-new/tools/Makefile.in	Wed Feb 11 17:06:33 2004
@@ -22,15 +22,15 @@
 INCLUDES	= -I../include $(SSL_INCLUDES)
 CPPFLAGS	= ${INCLUDES} @CPPFLAGS@
 
-prefix		= @prefix@
+prefix		= @DSTROOT@@prefix@
 exec_prefix	= @exec_prefix@
 bindir		= @bindir@
 libexecdir	= @libexecdir@
 sysconfdir	= @sysconfdir@
 localstatedir	= @localstatedir@
 # Change this later! -- adrian
-moduledir	= @prefix@/modules
-automoduledir	= @prefix@/modules/autoload
+moduledir	= @DSTROOT@@prefix@/modules
+automoduledir	= @DSTROOT@@prefix@/modules/autoload
 
 PROGS		= viconf mkpasswd convertconf convertilines convertklines encspeed
 
